# Get Policy Product

Gets all of the available insurance policy products available to your channel.

{% openapi src="/files/NGDaSt437ymyVVUI5tzd" path="/policy" method="get" %}
[casa618-casava-seed\_channels-1.0.13-resolved2.yaml](https://432939248-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPFNJycrtnqNc0D6rNapM%2Fuploads%2FW3QF4845eJnj1d7icG2R%2Fcasa618-casava-seed_channels-1.0.13-resolved2.yaml?alt=media\&token=4c0c777a-ed0f-4ab6-abe7-aa998b04360e)
{% endopenapi %}

#### Sample Response

```html
{
    "statusCode": 200,
    "message": "successful operation",
    "data": {
        "policy": [
            {
                "policyCode": "INCOMEPROTECT",
                "policyName": "Income Protection Insurance",
                "description": "Protect your job against unforeseen risk",
                "duration": 12,
                "installment": "MONTHLY",
                "autoIssue": true,
                "perils": [
                    {
                        "name": "personalaccident",
                        "title": "Personal Accident",
                        "description": "policy peril description"
                    },
                    {
                        "name": "personalaccident2",
                        "title": "Personal Accident",
                        "description": "policy peril description"
                    },
                    {
                        "name": "personalaccident3",
                        "title": "Personal Accident",
                        "description": "policy peril description"
                    }
                ],
                "fieldGroups": [
                    {
                        "fieldGroupId": "HOMEADDRESS",
                        "title": "Home Address ",
                        "description": "field groups for the home address of the policy holder ",
                        "fields": [
                            {
                                "fieldId": "STREETNUMBER",
                                "title": "Street Number",
                                "fieldType": "string",
                                "optional": false,
                                "description": "street number of the policy holder",
                                "min": 255,
                                "max": 255
                            },
                            {
                                "fieldId": "STREETNAME",
                                "title": "Street Name ",
                                "fieldType": "string",
                                "optional": false,
                                "description": "street name of the policy holder",
                                "min": 255,
                                "max": 255
                            },
                            {
                                "fieldId": "CITY",
                                "title": "City",
                                "fieldType": "string",
                                "optional": false,
                                "description": "city of the policy holder",
                                "min": 255,
                                "max": 255
                            },
                            {
                                "fieldId": "COUNTRY",
                                "title": "Country",
                                "fieldType": "string",
                                "optional": false,
                                "description": "country of the policy holder ",
                                "min": 255,
                                "max": 255
                            },
                            {
                                "fieldId": "STATE",
                                "title": "State",
                                "fieldType": "string",
                                "optional": false,
                                "description": "state of the policy holder",
                                "min": 255,
                                "max": 255
                            }
                        ]
                    },
                    {
                        "fieldGroupId": "IDENTITY",
                        "title": "Identification",
                        "description": "field groups for identification requirement of the policy holder ",
                        "fields": [
                            {
                                "fieldId": "IDTYPE",
                                "title": "Identification Type ",
                                "fieldType": "string",
                                "optional": true,
                                "description": "the allowed identification type for the policy holder ",
                                "min": 255,
                                "max": 255
                            },
                            {
                                "fieldId": "IDNUMBER",
                                "title": "Identification Number",
                                "fieldType": "string",
                                "optional": true,
                                "description": "the identification number attached to the identification type ",
                                "min": 255,
                                "max": 255
                            }
                        ]
                    }
                ]
            }
        ],
        "total": 1,
        "totalPages": 1,
        "currentPage": 0
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.casava.co/reference/api-reference/policy/get-policy-product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
